diff Resources/CreateThreeDist/build.sh @ 0:4e889a8e8be2

initial commit of the viewer plugin
author Sebastien Jodogne <s.jodogne@gmail.com>
date Tue, 04 Jul 2023 19:15:27 +0200
parents
children dd0cd39e6259
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Resources/CreateThreeDist/build.sh	Tue Jul 04 19:15:27 2023 +0200
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# SPDX-FileCopyrightText: 2023 Sebastien Jodogne, UCLouvain, Belgium
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+# STL plugin for Orthanc
+# Copyright (C) 2023 Sebastien Jodogne, UCLouvain, Belgium
+#
+# This program is free software: you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -ex
+
+if [ "$1" = "" ]; then
+    echo "Please provide the source package of Three.js"
+    exit -1
+fi
+
+cd /tmp/
+tar xvf /source/$1.tar.gz
+
+cd /tmp/$1
+npm install --cache /tmp/npm-cache
+npm run build --cache /tmp/npm-cache
+
+cp -r /tmp/$1/build/three.module.min.js /target/
+
+cp /tmp/$1/editor/js/libs/es-module-shims.js /target/
+cp /tmp/$1/examples/jsm/controls/OrbitControls.js /target/
+cp /tmp/$1/examples/jsm/loaders/STLLoader.js /target/